Bug 212964 - [NEW PORT] devel/arduino-builder: Command-line tool for building Arduino sketches
Summary: [NEW PORT] devel/arduino-builder: Command-line tool for building Arduino sket...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on: 212956
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-24 14:49 UTC by Kyle Evans
Modified: 2016-10-11 15:06 UTC (History)
1 user (show)

See Also:


Attachments
shar(1) archive of devel/arduino-builder (2.73 KB, application/x-shar)
2016-09-24 14:49 UTC, Kyle Evans
no flags Details
shar(1) archive of devel/arduino-builder (2.63 KB, application/x-shar)
2016-10-09 17:40 UTC, Kyle Evans
no flags Details
Updated shar(1) archive of devel/arduino-builder (2.66 KB, application/x-shar)
2016-10-09 17:47 UTC, Kyle Evans
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2016-09-24 14:49:37 UTC
Created attachment 175129 [details]
shar(1) archive of devel/arduino-builder

Hello!

arduino-builder is a comand-line tool for building Arduino sketches. It's required for the newer versions of the Arduino IDE (not yet brought into the ports tree).

It's a golang app. split into four packages with three external dependencies. I wasn't entirely sure how to handle this cleanly, so any feedback is appreciated. I have an open PR #212956 that proposes how to handle bringing in multiple packages or supporting a build where the application source is packaged as an 'out-of-tree' kind of build (root of the repository != root of package).
Comment 1 Kyle Evans freebsd_committer 2016-10-09 17:40:53 UTC
Created attachment 175583 [details]
shar(1) archive of devel/arduino-builder

Port altered based on suggestions by swills@ -- no longer requires changes to go.mk.
Comment 2 Kyle Evans freebsd_committer 2016-10-09 17:47:48 UTC
Created attachment 175584 [details]
Updated shar(1) archive of devel/arduino-builder

Forgot to add the build dep on Go back in after removing USES=go -- this is fixed.
Comment 3 commit-hook freebsd_committer 2016-10-11 15:02:19 UTC
A commit references this bug:

Author: bsam
Date: Tue Oct 11 15:02:05 UTC 2016
New revision: 423766
URL: https://svnweb.freebsd.org/changeset/ports/423766

Log:
  arduino-builder is a command line tool for compiling Arduino sketches.
  It is used by newer versions of the Arduino IDE, and may also be used
  standalone if provided hardware definitions and a tools directory.

  WWW: https://github.com/arduino/arduino-builder

  PR:		212964
  Submitted by:	bsdports@kyle-evans.net

Changes:
  head/devel/Makefile
  head/devel/arduino-builder/
  head/devel/arduino-builder/Makefile
  head/devel/arduino-builder/distinfo
  head/devel/arduino-builder/pkg-descr
Comment 4 Boris Samorodov freebsd_committer 2016-10-11 15:06:09 UTC
Committed, thanks!
I've just made a tiny fix: env -> ${SETENV}. We recommend against using direct commands.